<?php
/**
 * Call2Pay API Demo 
 * version 1.0
 * 
 * author: Thorsten Kugler 
 * email: info@micropayment.de
 * supported 2009 by micropayment
 */

	require_once( 'config.php' );
	require_once( 'tools.php' );

	session_name('call2pay');
	session_start();
	$_SESSION['caller'] = getPostVar('caller');
	$_SESSION['tan'] = getPostVar('tan');
	$_SESSION['secs'] = getPostVar('secs');
	
?>


<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
	<title>Call2Pay API Demo</title>
	<link href="screen.css" rel="stylesheet">
	<script src="./lib/js/prototype-1.6.0.3.js" type="text/javascript"></script> 
</head>

<body

	onLoad="new Ajax.PeriodicalUpdater('status', 'c2p-demo.php', {
  		evalScripts: true,
  		method: 'post', 
  		parameters: 'action=getStatus&handle=<?php print $_SESSION['handle'];?>' ,
		onFailure: function() {
			alert('ERROR: Cannot send data. Please try again...');
		},
  		frequency: 6
	});
	
	new Ajax.Updater('status2', 'c2p-demo.php', {
  		evalScripts: true,
  		method: 'post', 
  		parameters: 'action=doCall&caller=<?php print $_SESSION['caller'];?>&tan=<?php print $_SESSION['tan'];?>&secs=<?php print $_SESSION['secs'];?>',
		onFailure: function() {
			alert('ERROR: Cannot send data. Please try again...');
		}
	});

	">

	<div id="header" >
		<table width="608" align="center" class="header">
			<tr >
				<td width="100"><a href="c2p-demo.php"><img src="./img/c2p.gif" border="0"></a></td>
				<td align="left">Call2Pay - Demo</td>
			</tr>
		</table>
	</div>
	
	<div align="center">
	
		<!-- navigation START -->
		<table class="naviMain" width="608">
			<tr>    
				<td class="naviMainNotSelected" width="120"><img src="./img/icon.arrow.4x5.gif" align="absmiddle"> <a href="shoppingbag.php">Warenkorb</a> <?php print getCountShoppingbag();?>
				</td>
				<td class="naviMainSelected" width="120"><img src="./img/icon.arrow.4x5.gif" align="absmiddle"> Aktiver Anruf</td>
				<td class="naviMainNotSelected" width="120"></td>
				<td class="naviMainNotSelected"></td>
				<td class="naviMainNotSelected"></td>
			</tr>
		</table>
		<table class="naviSubTable" width="608">
			<tr>
				<td class="naviSub" width="80" ></td>
				<td class="naviSub" width="80"></td>
				<td class="naviSub" width="80"></td>
				<td class="naviSub" ></td>
				<td class="naviFooter" width="80"><a href="c2p-demo.php">Shop</a></td>
			</tr>
		</table>
		<!-- navigation END -->
	
		<table>
			<tr>
				<td class="border">
					
					<div id="content">
						<br />
						
						<table border="0" cellspacing="0" cellpadding="0" class="text" width="345">		
							<tr>
								<td colspan="2" height="20"></td>
							</tr>		
							<tr>
								<td rowspan="2" valign="top"><img src="./img/wait.gif" width="48" height="48" style="float:left;margin-right:10px;" alt="" border="0"></td>
								<td class="text">
									<b>Bezahlprozess:</b>
									<br /><br />
									<div id="status"></div><br />
									<div id="status2"></div>
	
								</td>
							</tr>
							<tr>
								<td colspan="2" height="10"></td>
							</tr>
							<tr>
								<td><img src="./img/icon.call.blue.48x48.gif" width="48" height="48" style="float:left;margin-right:10px;" alt="" border="0"></td>
								<td>
									Halten Sie die Telefonverbindung aufrecht,<BR> 
									bis diese nach
	 								<span id="tel" class="seconds"><?php print $_SESSION['duration'];?> Sekunden</span> 
									getrennt wird.<br>			
								</td>

							</tr>
							<tr>
								<td colspan="2">
									Nach Ablauf der Zeit wird das Gesprch automatisch beendet und Sie werden zur Downloadseite weitergeleitet. 		
								</td>
							</tr>
						</table>
						
					<!-- DIV content END-->	
					</div>

										
					<br />
					<br />
					<br />
						
				</td>
			</tr>
		</table>
	
	<!-- DIV center END-->
	</div>
	
	<div id="footer" class="footer">
		<a href="http://techdoc.micropayment.de/" target="_blank">Technische Dokumentationen</a> | <a href="./readme.txt" target="_blank">Installationsanleitung</a> | <a href="https://www.micropayment.de/" target="_blank">micropayment&trade;</a><br />
		Call2Pay API Demo, version 1.0<br />
		powered 2009 by micropayment&trade;<br />
	</div>

</body>
</html>