<?php
/**
 * Call2Pay API Demo - config file
 * version 1.0
 * 
 * author: Thorsten Kugler 
 * email: info@micropayment.de
 * supported 2009 by micropayment
 */
    
	if(!defined('PROJECT_NAME')) //Projektname aus Ihrer Konfiguration auf micropayment.de
		define('PROJECT_NAME', ''); 

	if(!defined('MCP__ACCESSKEY')) //AccessKey aus Ihrer Konfiguration auf micropayment.de
		define('MCP__ACCESSKEY', ''); 

	if(!defined('MCP__TESTMODE'))
		define('MCP__TESTMODE', 1); 

	if(!defined('MCP__SERVICE_URL'))
		define('MCP__SERVICE_URL', 'http://webservices.micropayment.de/public/c2p/v2'); //Service-URL aus Ihrer Konfiguration auf micropayment.de

	if(!defined('PROJECT_CURRENCY'))
		define('PROJECT_CURRENCY', 'EUR');

	if(!defined('PAY_TEXT'))
		define('PAY_TEXT', 'Vielen Dank fr Ihren Einkauf');	
	
	if(!defined('PROJECT_TITLE'))
		define('PROJECT_TITLE', 'DEMO-Shop Icons');


	//define products
	$aProductList = array(
		'P0001' => array('title' => 'Demo-Produkt01', 'amount' => 25),
		'P0002' => array('title' => 'Demo-Produkt02', 'amount' => 30),
		'P0003' => array('title' => 'Demo-Produkt03', 'amount' => 35),
		'P0004' => array('title' => 'Demo-Produkt04', 'amount' => 50),
	);

	
	//error codes
	$definedErrorCodes = array (
		'0001' => 'Service nicht erreichbar',
		'1000' => 'unbekannter Fehler',
		'1001' => 'Fehler whrend Datenbankoperation',
		'1002' => 'Initialisierung des Services ist fehlgeschlagen',
		'2001' => 'Dienst vorbergehend nicht verfgbar',
		'2002' => 'Reservierung ist vorbergehend nicht mglich',
		'3001' => 'Authorisierung ist fehlgeschlagen (accesskey oder IP des Clienten ist falsch)',
		'3002' => 'Funktion nicht untersttzt oder verfgbar',
		'3003' => 'Parameter im falschen Format oder mit falschen Werten',
		'3004' => 'Fehler in Projektkonfiguration',
		'3005' => 'Angefordertes Land ist nicht verfgbar',
		'3006' => 'Angeforderter Betrag ist nicht erlaubt',
		'3007' => 'Angeforderte Whrung kann nicht verarbeitet werden',
		'3008' => 'handle ist ungltig',
		'3009' => 'Andauernder MultiCall.<br />Bitte rufen Sie erneut an!', //not in manual
		'4001' => 'Rufnummer bzw. TAN nicht reserviert oder Anruf luft bereits',
		'4002' => 'Der maximale Betrag von 30 Euro ist &uuml;berschritten'
	);
	
	//country definition
	$definedCountries = array(
		'AT' => '&Ouml;sterreich',
		'BE' => 'Belgien',
		'CH' => 'Schweiz',
		'DE' => 'Deutschland',
		'PL' => 'Polen',
		'ES' => 'Spanien',
		'FR' => 'Frankreich',
		'GB' => 'Grobritannien',
		'IT' => 'Italien',
		'LU' => 'Luxemburg',
		'NL' => 'Holland'
	);
?>